Python 3.12.0 (tags/v3.12.0:0fb18b0, Oct  2 2023, 13:03:39) [MSC v.1935 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license()" for more information.
>>> import math
... n, m, k = map(int, input().split())
... num_fonarik_n = math.ceil(n / k)
... num_fonarik_m = math.ceil(m / k)
... total_fonarik = num_fonarik_n * num_fonarik_m
